<?php
date_default_timezone_set('America/Costa_Rica');

include('../conexion.php'); 
$parametrosGenerales = "SELECT * FROM wc_parametros_fe WHERE id = 1";
$resultadoParametrosGenerales= $mysqli->query($parametrosGenerales);
$parametros = $resultadoParametrosGenerales->fetch_array();


 //$fecha_actual=  date('Y-m-d') ;
 //$fecha_actualizacion =  $parametros['fec_actualizacion'];
 //if ($fecha_actual >= $fecha_actualizacion ){   /////////////////////////////// version 4.3 //////////////////////////////////////////




session_start();

        $usu=$_SESSION['username'];
 
		if($_SESSION['tipo_usu']=='a' or $_SESSION['tipo_usu']=='u'  or $_SESSION['tipo_usu']=='c'  or $_SESSION['tipo_usu']=='v' or $_SESSION['tipo_usu']=='a' ){
		}else{
			header('location:error.php');
		}
	
		
		$consulta = "SELECT * FROM usuarios WHERE usu='$usu'";
		$resultado = $mysqli->query($consulta);
		$row = $resultado->fetch_array();
		$nomb = $row["usu"];
		$cod  = $row["codusu"];


$hora = date("H:i:s");
$fecha=date("Y-m-d");
$fechac = date("Y-m-d\TH:i:sP");	
	
		
$accion=$_POST["accion"];
if (!isset($accion)) { $accion=$_GET["accion"]; }

$codnotatmp=$_POST["codnotatmp"];
$cdgcli=$_POST["cdgcli"];
$dsccli=strtoupper($_POST["dsccli"]);

$cob_iv="";
$numfacafe=$_POST["numfacafe"];
$numfacafe2=$_POST["codfactura2"];
$cdgven=$cod;
$minimo=0;
$aplnot=$_POST["aplnot"];
$cdgcaj=$_POST["cdgcaj"];

$clanumref=$_POST["clanumref"];
$feccomref=$_POST["feccomref"];
$tipdocref=$_POST["tipdocref"];
$razref=$_POST["razref"];
$codref=$_POST["codref"];


   $consultaF = "SELECT estadoComprobanteIntegracion , cdgclave FROM facturas WHERE cdgclave='$clanumref'";
        $resultadoF = $mysqli->query($consultaF);
        $rowF = $resultadoF->fetch_array();
     echo   $estado_factura  = $rowF["estadoComprobanteIntegracion"];

$subtotalfactura=$_POST["baseimponible"];
$subtotalfactura = str_replace  (",","",$subtotalfactura);

if (!isset($_POST["cdgtipexo"])) { $cdgtipexo=""; } else  {$cdgtipexo=$_POST["cdgtipexo"]; }
if (!isset($_POST["numdocexo"])) { $numdocexo=""; } else  {   $numdocexo=$_POST["numdocexo"]; }
if (!isset($_POST["nominstexo"])) { $nominstexo=""; } else  { $nominstexo=$_POST["nominstexo"]; }
if (!isset($_POST["cliexento"])) { $cliexento=""; } else  {  $cliexento=$_POST["cliexento"]; }
if (!isset( $_POST["porimpexo"]))  { $porimpexo="";  } else  { $porimpexo=$_POST["porimpexo"]; }
if (!isset( $_POST["articulo"]))  { $articulo="";  } else  {   $articulo=$_POST["articulo"]; }    // se agrega en la version 4.4
if (!isset( $_POST["inciso"]))    { $inciso="";    } else  {   $inciso=$_POST["inciso"]; }         // se agrega en la version 4.4

 $enlinea=$_POST["enlinea"];


		$preciototal=0;
		$mergra=0;
		$merexe=0;
		$serexe=0;
		$sergra=0;
		$subexe=0;
		$totmergra=0;
		$totmerexe=0;
		$totsergra=0;
		$totserexe=0;
		$subgra=0;
		$baseimponible=0; 
		$baseimpuestos=0;		    
		$basedescuento=0;

        $consulta = "SELECT CDGPLA,SALACT,CEDTIP,CEDCLI, fecemiexo , tarexoagro, cdgtar FROM web_0301 WHERE cdgcli='$cdgcli'";
        $resultado = $mysqli->query($consulta);
        $row = $resultado->fetch_array();
        $cedcli  = $row["CEDCLI"];
		$cedtip  = $row["CEDTIP"];
	    $pladia  = 0;
		$medpago = "01"  ;
		$fecemiexo = $row["fecemiexo"];             // se agrega para exoneraciones
		$tarexoagro= $row["tarexoagro"];  ////   version exoneracion agropecuaria
		$cdgtar_cliente    = $row["cdgtar"];  	////  version tarifa distinta al 13   //////////////////////////////////
		
			/////////////////////////////////////////////////// crea fecha de exoneracion  si no existe ///////////////////////////////////////////////
	
	if ($fecemiexo == ""){
	
	$fecemiexo = $fechac;
	 
	 }


 

       $parametros = "SELECT * FROM web_0000 ";
       $result_parametros = $mysqli->query($parametros);
       $row_para = $result_parametros->fetch_array();
     
	   $casmat     =  $row_para["CASMAT"];
	   $cdgter     =  $row_para["CDGTER"];
	   $cedemp     =  $row_para["CEDJUR"];
		$tipcedemp =  $row_para["TIPCEDEMP"];
	  
	    if ( $tipcedemp=="01")  {    // define la cedula de la clave 
	  
	    $cedemp =  "000".$cedemp;      //   
 
 		} else {
		
       $cedemp =  "00".$cedemp; 
 	
		}
		
		if ( $tipcedemp=="03")  {    // define la tipo DIMEX
	  
	    $cedemp =  $row_para["CEDJUR"];     //   

 	
		}
		
		
	   $cdgpais    =  $row_para["CDGPAISEMP"];
	   $tipcamdol  =  $row_para["tipcamdol"];
	   $tipmoneda  =  $_POST["tipmoneda"];
	   if($tipmoneda == "USD" ) {  $tipcamdol =  $row_para["tipcamdol"];   } else {	$tipcamdol =  1 ;   }       // se agrega en la version 4.4
	   $cdgseghac =  mt_rand(10000000 , 99999999);  // se agrega en la version 4.4
	   
	   if ($estado_factura== "3") {   // consecutivo nota financiera     // SE AGREGA EN LA VERSION 4.4 
	   $estado_nota = 10;  
	   $numnotcre  =  $row_para["numnotfin"];
	   $numnotcre  =  $numnotcre + 1;
	   $numnota  =  $numnotcre ;
	    } else {                      // consecutivo nota comprobante electronico
	   $estado_nota = 0; 	
	   $numnotcre  =  $row_para["numnotdeb"]; 
	   $numnotcre    =  $numnotcre + 1;
	   $numnota    = sprintf("%010d", $numnotcre );   
	    }  // SE AGREGA EN LA VERSION 4.4 
      
	   	   $tarimpvta     =  $row_para["tarimp"];

	   
	   $conventa   = "01"; 
	   $tipo_comprobante ="02";          //   ???????????????????????????????????????????????
	   $feccla     = date("dmy");
	
	   if ($enlinea==1)  {    // DEFINE SI EL COMPROBANTE ESTA EN CONTINGENCIA 
	  
	   $situacion_comprobante = 1;     //   
 
 		} else {
       $situacion_comprobante = 3; 
 	
		}
	   $numcomp    =  $casmat.$cdgter.$tipo_comprobante.$numnota ;
	   $cdgclave   =  $cdgpais.$feccla.$cedemp. $numcomp.$situacion_comprobante.$cdgseghac;
	   
	   
	   
	   $consulta_trib = "SELECT clitributa FROM web_0301 WHERE cdgcli='$cdgcli'";    // se agrega en la version 4.4
       $resultado_trib = $mysqli->query($consulta_trib);
       $row_trib = $resultado_trib->fetch_array();
       $clitributa = $row_trib["clitributa"];
	  
	   if (  $clitributa == "1")  {    // define el consecutivo   	                // se modifica en la version 4.3
	   
	    $cdgactcli = $_POST["cdgactcom"];   // se agrega $cdgactcli  version 4.4

 	} else {	
	    $cdgactcli = "";    // se agrega $cdgactcli  version 4.4
    }
/////////////////////////////////////////////// averigua el saldo del ckiente ////////////////////////////////////////////////////////


	$consulta5 = "SELECT  Sum(salact) AS totalfac FROM web_2101 WHERE cdgcli = $cdgcli";
    $resultado5 = $mysqli->query($consulta5);
    $row5 = $resultado5->fetch_array();
   $saldo_actual = $row5["totalfac"];

	
	
if ($accion=="alta") {

 ////////////////////////////////////////////////////   insert de la la nota de credito en Notas de credito /////////////////////////////////


$query_operacion="INSERT INTO facturas_notas_debito (codnota, fecha, iva, cdgcli, dsccli, borrado, numfacafe , tipapli, cdgven, cdgcaj ,  tipcamdol, hornot , numcomp, cdgclave, fechac, cedcli, cedtip,  medpago, tipmoneda, conventa, cdgtipexo, numdocexo , nominstexo, tipdocref, clanumref, feccomref, codref, razref 	, fecemiexo , cdgactcli , artexo , incexo  , estadoComprobanteIntegracion) VALUES ('', '$fecha', '$cob_iv', '$cdgcli', '$dsccli', '0' , '$numfacafe2','$aplnot','$cdgven','$cdgcaj' ,'$tipcamdol','$hora'  ,  '$numcomp' ,  '$cdgclave', '$fechac' , '$cedcli' , '$cedtip' , '$medpago', '$tipmoneda' , '$conventa' , '$cdgtipexo' , '$numdocexo' , '$nominstexo' , '$tipdocref', '$clanumref', '$feccomref', '$codref', '$razref' , '$fecemiexo'  , '$cdgactcli' , '$articulo' , '$inciso' , $estado_nota)";				
	$mysqli->query($query_operacion);
	$codnota= $mysqli-> insert_id ;
	

if ($estado_factura== "3") {   // consecutivo nota financiera     // SE AGREGA EN LA VERSION 4.4 
		$sel_articulos_contado="UPDATE web_0000 SET numnotfin='$numnota ' ";
		$mysqli->query($sel_articulos_contado);
		
		  }else { 
		$sel_articulos_contado="UPDATE web_0000 SET numnotdeb='$numnota' ";
		$mysqli->query($sel_articulos_contado);
 		
		}
		
	$query_tmp = "SELECT * FROM factulineatmp_notas_debito WHERE codnotatmp='$codnotatmp' ORDER BY numlinea ASC";
    if ($resultado = $mysqli->query($query_tmp)) 
	$contador=0;
	$baseimponible=0;
    while ($fila = $resultado->fetch_assoc()) {
		
        $numlinea  = $fila["numlinea"];
         $codigo    = $fila["codigo"];
         $dscart    = $fila["dscart"];
		$cantidad  = $fila["cantidad"];
		$preivi    = $fila["preivi"];	
	    $importe   = $fila["importe"];
	    $impuesto  = $fila["impuesto"];
		$mondes    = $fila["mondes"];
		$dcto      = $fila["dcto"];
		$numlinafe = $fila["numlinafe"];
		$chkexo= $fila["chkexo"];                      //  EXONERACION PARCIAL 
		$subtotal  =$importe-$mondes;
		$montotlin =$importe-$mondes+$impuesto;	
		
		
		$query_costos = "SELECT cosart,COB_IV,CDGFAM,CDGLIN,DESFAC,CDGTIPART,ivporc ,UNIMED, CDGTIPPRO,  cdgtar, tipcanbas, cdghac, cdgact ,  regmedfarm , formafarm ,  farmacia FROM web_1001 WHERE cdgbar='$codigo'";
		$resultado2 = $mysqli->query($query_costos);
		$row = $resultado2->fetch_array();
	     $cosart    = $row["cosart"];
		 $desart    = $row["DESFAC"];
		 $cob_iv    = $row["COB_IV"];
		 $cdgfam    = $row["CDGFAM"];
		 $cdglin    = $row["CDGLIN"];
		 $cdgtipart = $row["CDGTIPART"];
		 $unimed    = $row["UNIMED"];
		 $ivporc    = $row["ivporc"];
		 $cdgtippro = $row["CDGTIPPRO"];
		 $cdgtar    = $row["cdgtar"];                   // se agrega en la version  4.3 	
		 $tipcanbas = $row["tipcanbas"];          ////   version exoneracion agropecuaria
		 $cdgcabys  = $row["cdghac"];
		 $cdgact    = $row["cdgact"];
		 $regmedfarm = $row["regmedfarm"];     // datos farmacia version 4.4
		 $formafarm  = $row["formafarm"];        // datos farmacia version 4.4
		 $farmacia   = $row["farmacia"];        // datos farmacia version 4.4


		
		if ( $mondes > 0){    // estable la naturaleza del descuento  por linea si lo tiene
		$natdes=$_POST["natdes"];
		} else { 
		$natdes=  "";
		} 
		

		
		if (  $cob_iv == 1 ){    // estable la tarifa del impuesto por linea si lo tiene  //
 		$tarimp = $ivporc;
		$cdgimp = "01";
		} else { 
		$tarimp = "0";            // se realizan cambios en la version 4.4
		$cdgimp = "01";           // se realizan cambios en la version 4.4
		
		} 
		
		
		 /////////////////////////////////////////////////////   version exoneracion agropecuaria  //////////////////////////////////

		
		//if  ( $tarexoagro > 0 &&   $tipcanbas == 1 ){  // si el cliente es agro y ademas el producto pertenece a la canasta basica 
	    if  ( ($tarexoagro > 0) &&  ($tipcanbas == 1)   && ($cdgtar <> 10 )   ){  // si el cliente es agro y ademas el producto pertenece a la canasta basica se realizan cambios en la version 4.4	
		 $consulta10 = "SELECT * FROM hac_tipo_tarifa WHERE iv_porc = $tarexoagro";
         $resultado10 = $mysqli->query($consulta10);
         $fila10 = $resultado10->fetch_array();

         $cdgtar= $fila10["cdgtar"];
		 $cdgimp= $fila10["cdgimp"];
		 $tarimp =  $tarexoagro;


	
		}
		
		
		
				
		 /////////////////////////////////////////////////////   version exoneracion agropecuaria  //////////////////////////////////
	
	 /////////////////////////////////////////////////////   version tarifa distinta al 13   //////////////////////////////////
		 
		$consulta_tarifa = "SELECT * FROM hac_tipo_tarifa WHERE cdgtar='$cdgtar_cliente'";
		$resultado_tarifa = $mysqli->query($consulta_tarifa);
		$row_tarifa = $resultado_tarifa->fetch_array();
		$ivporc_tarifa= $row_tarifa["iv_porc"] ; 
		$cdgimp_cliente= $row_tarifa["cdgimp"] ;  
	
		if ( $ivporc >  $ivporc_tarifa){ 
		
     
	     $cdgtar = $cdgtar_cliente;
		 $cdgimp = $cdgimp_cliente;
		 $tarimp =  $ivporc_tarifa;
	
		}
				
	 /////////////////////////////////////////////////////   version tarifa distinta al 13   //////////////////////////////////
			
	
	   	if ( $cob_iv == 1){     //  si el produto es gravado	
		if ($cdgtippro == 1 ) {   // si el producto es tipo articulo 	
	    if ($cdgtar_cliente == "01" ) { // si la tarifa igual cero tipo ccss o municipalidades   // se agrega en la version 4.4
		 
		 $mernosuj=$importe;  
	     $totmernosuj= $totmernosuj+$mernosuj; 
		 
		 } else {    // si la tarifa no es cero
		
		 $mergra=$importe;  
	     $totmergra= $totmergra+$mergra; 
		
		}           //  cierra tarifas distintas a cero
			
		} else {     // si es un servicio
	
		if ($cdgtar_cliente == "01" ) { // si la tarifa igual cero tipo ccss o municipalidades   // se agrega en la version 4.4
						 
		 $sernosuj=$importe;  
	     $totsernosuj= $totsernosuj+$sernosuj; 
		 
		 } else {    // si la tarifa no es cero
				
		$sergra=$importe; 
	    $totsergra= $totsergra+$sergra; 
			
		}    // cierra tipo de produto 
	
		}           //  cierra tarifas distintas a cero
	
		} else {    // si el producto es exento ***********************************************
			
		if  ($cdgtippro == 1 ) {   // si el producto es tipo mercancia
		
     	$merexe=$importe;  
        $totmerexe= $totmerexe+$merexe; 
		
		} else {     // si es un servicio
		
		$serexe=$importe; 
	    $totserexe= $totserexe+$serexe; 
		
		}    // cierra tipo de produto tipo articulo
		} 
		 
		 

		 
	
		$baseimponible=$baseimponible+$importe;	     
		$baseimpuestos=$baseimpuestos+$impuesto;	    
		$basedescuento=$basedescuento+$mondes;	
		$preciototal=$baseimponible+$baseimpuestos-$basedescuento;
		$preciototal=floor($preciototal);
		
  
  
 	  	///////////////////////////////////////////////////     EXONERACIONES       ////////////////////////////////////////////
		
	if ($cliexento==2  && $cob_iv==1   &&  $chkexo ==  0  ){  //  compra es tipo exonerada y  producto es gravado  //  EXONERACION PARCIAL			
   // if ($cliexento==2  && $cob_iv==1  ){  // si la compra es tipo exonerada y el producto es gravado  ////////
   
////////////////////////////////////////////////////  SELECIONAMOS TABLA CABYS EXONERAXIONES PARA VER SI EL PRODUCTO GOZA DE EXONERACION /////////////////////////////////
		
		 $cdgtipexo=$_POST["cdgtipexo"];
		 
		 if (  $cdgtipexo== "04") {   // se agrega en la version 4.4                 // si la exoneracion es tipo 4 exencion direccion general de hacienda // 
		 
			$consulta_cabys_exoneracion= "SELECT * FROM cabys_exoneracion WHERE  cedcli='$cedcli'  AND cdghac = '$cdgcabys' ";
		    $resultado_cabys_exoneracion = $mysqli->query($consulta_cabys_exoneracion);
		    $row_cabys_exoneracion = $resultado_cabys_exoneracion->fetch_array();
			if  ( $row_cabys_exoneracion["porexo"]  > 0 ){
	    	      $porimpexo = $row_cabys_exoneracion["porexo"] ;
			   
	        }
	
	    }                            
    //////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
	
     $ivporc_exonerado = $ivporc - $porimpexo ;    // calcula diferencia de impuestos 

     if ( $ivporc_exonerado > 0  ){           // si el impuesto del producto es mayor a la exoneracion de cliente  /////


    //$monimpexo=$importe;       // monto  exonerado
	$monimpexo=($importe-$mondes)*$porimpexo/100;       // impuesto exonerado en monto 
	$moncondesexo = $importe*$porimpexo/100;       // impuesto exonerado en monto
	$porcomexo= $porimpexo;   // porcentaje exonerado 
	
 if (  $cdgtipexo== "04") {   $numdocexo = $row_cabys_exoneracion["numautexo"] ;   $fecemiexo = $row_cabys_exoneracion["fecemiexo"]."T00:00:00" ;   } else  {   $numdocexo=$_POST["numdocexo"];  }   // se agrega en laversion 4.4 
	$cdgtipexo=$_POST["cdgtipexo"];
   // $numdocexo=$_POST["numdocexo"];    // se comenta en la version 4.4
    $nominstexo=$_POST["nominstexo"];  
	  
	$cdgimp   = "01"; 
//	$tarimp   =  "";               //  se comenta en la version 4.3
//	$impuesto =  "";               //  se comenta en la version 4.3


	  	if  ($cdgtippro == 1 ) {   // si el producto es tipo articulo   //  se agrega en la version 4.3
			
		$merexo = ( $moncondesexo / $ivporc )* 100  ;   //148 
	    $totmerexo= $totmerexo+$merexo; 	
		$totmergra= $totmergra-$merexo; 
		
		} else {     // si es un servicio
		

	
		$serexo = ( $moncondesexo / $ivporc )* 100 ;   //148 
		
	    $totserexo= $totserexo+$serexo; 
	    $totsergra= $totsergra-$serexo; 
		}    // cierra tipo de produto 	                           //  se agrega en la version 4.3	  


  } else {           // si el impuesto del producto es menor a  la exoneracion  del cliente ///////////
  
  
      //$monimpexo=$importe;       // monto  exonerado
	$monimpexo=($importe-$mondes)*$ivporc/100;       // impuesto exonerado en monto 
	$porcomexo= $ivporc;   // porcentaje exonerado 
	
	
	   if (  $cdgtipexo== "04") {   $numdocexo = $row_cabys_exoneracion["numautexo"] ;   $fecemiexo = $row_cabys_exoneracion["fecemiexo"]."T00:00:00" ;   } else  {   $numdocexo=$_POST["numdocexo"];  }   // se agrega en laversion 4.4 
	$cdgtipexo=$_POST["cdgtipexo"];
   // $numdocexo=$_POST["numdocexo"];    // se comenta en la version 4.4
    $nominstexo=$_POST["nominstexo"];	  
	

	  
	$cdgimp   = "01"; 
//	$tarimp   =  "";               //  se comenta en la version 4.3
//	$impuesto =  "";               //  se comenta en la version 4.3

	  	if  ($cdgtippro == 1 ) {   // si el producto es tipo articulo   //  se agrega en la version 4.3
	
		$merexo=$importe;  
	    $totmerexo= $totmerexo+$merexo; 
		$totmergra= $totmergra-$merexo; 
		} else {     // si es un servicio
		
		$serexo=$importe; 
	    $totserexo= $totserexo+$serexo; 
	    $totsergra= $totsergra-$serexo; 
		}    // cierra tipo de produto 	                           //  se agrega en la version 4.3	  
		
	  
}

	  }else {
 
     	    $monimpexo="";
	        $porcomexo= "";
			$cdgtipexo="";
			$numdocexo="";
			$nominstexo="";
	  
	  }


		///////////////////////////////////////////////////     EXONERACIONES      ///////////////////////////////////////////////////
	
		
		 

	$sel_insertar="INSERT INTO factulinea_notas_debito (codnota,dscart,numlinea,codigo,cantidad,preivi,prenivi,importe,dcto,mondes,impuesto,cdgcli,cdgven,artexe, fecfac,cdgfam,cdglin, numlinafe  ,cdgtipart, unimed , cdgimp, tarimp, subtotal, montotlin , natdes , monimpexo, porcomexo, cdgtipexo, numdocexo, nominstexo , cosart , cdgtar , fecemiexo, cdgcabys, cdgact , regmedfarm ,  formafarm , farmacia , artexo, incexo) VALUES 
		('$codnota','$dscart','$numlinea','$codigo','$cantidad','$preivi','$preivi','$importe','$dcto','$mondes','$impuesto','$cdgcli','$cdgven','$cob_iv','$fecha','$cdgfam','$cdglin','$numlinafe','$cdgtipart','$unimed' ,'$cdgimp' ,'$tarimp' ,'$subtotal'  ,'$montotlin' ,'$natdes' ,'$monimpexo' ,'$porcomexo'  ,'$cdgtipexo'  ,'$numdocexo'  ,'$nominstexo'  ,'$cosart' ,'$cdgtar' , '$fecemiexo' , '$cdgcabys', '$cdgact'  , '$regmedfarm' , '$formafarm', '$farmacia'  ,  '$articulo' , '$inciso' )";
	$mysqli->query($sel_insertar);
	
	$sel_can_nc="UPDATE factulinea SET can_nc=(can_nc-'$cantidad') WHERE codigo='$codigo' AND codfactura='$numfacafe2' AND numlinea='$numlinafe'  ";
	$mysqli->query($sel_can_nc);

			
		$sel_articulos="UPDATE web_1001 SET exiact=(exiact-'$cantidad') WHERE cdgbar='$codigo'  and tipart != 2 ";
		$mysqli->query($sel_articulos);
	
		
		$contador++;
	}
	
	  
	  $totexonerado = $totserexo + $totmerexo; 
	  $totexento    = $totserexe + $totmerexe; 
	  $totgravado   = $totsergra + $totmergra;
	  $totnosujeto  = $totsernosuj + $totmernosuj;         ///   se agrega en la version 4.4
	  $totventa     = $totgravado + $totexento + $totexonerado +   $totnosujeto;      // se modifica en la version 4.4
	  $totdescu     = $basedescuento ;
	  $totvennet    = $totventa  -  $totdescu;
	  $totcompro    = $totvennet + $baseimpuestos ;
	  $totcompro    = floor($totcompro);       //  se agrega en la version 4.4
	  
	  
	  if ( $totgravado > 0 ){    // si el articulo es tipo gravado 
	  $cdgimp="01" ; //   tipo impuesto de ventas
	  $tarimp=$tarimpvta;
	  $monimp=$baseimpuestos;
	  
	  }else {
	  
	  $cdgimp="01";  //   tipo impuesto de ventas   // cambia en la version 4.3 
	  $tarimp="0";
	  $monimp=$baseimpuestos;
	  
	  }
	
		 $consulta2 = "DELETE FROM factulineatmp_notas_debito  WHERE codnotatmp='$codnotatmp'";
		 $mysqli->query($consulta2);
	
	
		$sel_act="UPDATE facturas_notas_debito SET totalnota='$preciototal' ,  subexe='$subexe', subgra='$subgra', destot='$basedescuento',subtot='$baseimponible', impven='$baseimpuestos', destot='$basedescuento' , totmergra='$totmergra', totmerexe='$totmerexe', totsergra='$totsergra', totserexe='$totserexe', totgravado='$totgravado' , totexento='$totexento' ,  totexonerado='$totexonerado' , totventa='$totventa' , totdescu='$totdescu' , totvennet='$totvennet'  , cdgimp='$cdgimp', tarimp='$tarimp', monimp='$monimp' ,  totcompro='$totcompro',   totserexo='$totserexo' , totmerexo='$totmerexo'  , porimpexo='$porimpexo' ,  totmernosuj='$totmernosuj'  ,  totsernosuj='$totsernosuj' ,  totnosujeto='$totnosujeto' WHERE codnota='$codnota'";
	$mysqli->query($sel_act);
	$baseimpuestos=0;
	$baseimponible=0;
	$cabecera1="Inicio >> Ventas &gt;&gt; Nueva Proforma ";
	$cabecera2="Transacción satisfactoria";
	
	
		}
		 
		 
		 		 /***********************************************************************************************************************************************************/	
	$consulta_combos="SELECT
     x2.cdgbar_combo AS cdgbar_combo,
     x2.cdgbar AS cdgbar,
     x2.cantidad AS cantidad,
	 x0.cantidad AS cantidad_not
FROM
     web_1001 x3 INNER JOIN factulinea_notas_debito x0 ON x3.CDGBAR = x0.codigo
     INNER JOIN web_1001_combos x2 ON x3.CDGBAR = x2.cdgbar_combo WHERE x0.codnota='$codnota' AND x3.conexi=1";
	 



	 
	 
		if ($result_combos = $mysqli->query($consulta_combos)) {
	   $es_combo= $result_combos->num_rows;
	   $result_combos->close();
		} 
		
	if ($es_combo > 0 ){  // AVERIGUA SI HAY COMBOS EN factulinea

					if ($resultado_combos= $mysqli->query($consulta_combos)) 
					
					while ($fila_combo= $resultado_combos->fetch_assoc()) {
						
							$cdgbar_combo = $fila_combo["cdgbar"];
							$cantidad_combo = $fila_combo["cantidad"];
							$cantidad_not = $fila_combo["cantidad_not"];
							
							$cantidad = $cantidad_not * $cantidad_combo;
	
							$query_unidades = "SELECT EXIACT FROM web_1001 WHERE cdgbar='$cdgbar_combo'";
							$resultado2 = $mysqli->query($query_unidades);
							$row = $resultado2->fetch_array();
							$existencia= $row["EXIACT"];
							
							$exiact = $existencia -  $cantidad;                       
							
							
							$sel_articulos="UPDATE web_1001 SET   exiact= '$exiact' WHERE cdgbar='$cdgbar_combo' and tipart != 2 ";
							$mysqli->query($sel_articulos);
				
						
					}

		
		}
		  

/***********************************************************************************************************************************************************/	 

		//////////// ///////////////////////////    aplica el pago en la web_2101   ////////////////////////////////////////////////
		
		$total_nc= $preciototal;

			if ($aplnot==1){
			

            }



			if ($aplnot==2){
		
		
		$query_tmp2 = "SELECT * FROM web_2101 WHERE cdgcli='$cdgcli' AND salact > 0 ORDER BY numfac ASC";
        if ($resultado2 = $mysqli->query($query_tmp2)) 
        while ($fila2 = $resultado2->fetch_assoc()) {
		
        $numfac    = $fila2["NUMFAC"];
        $salact    = $fila2["SALACT"];
		
		
		if ($preciototal >= $salact ){	

	       $saldo_factura=$salact-$salact;
		    $preciototal=$preciototal-$salact;
				$monabo=$salact;
	
      	} else {
	    
		   $saldo_factura=$salact-$preciototal;
		 		$monabo=$preciototal;
		    $preciototal=$preciototal-$preciototal;
		
		}
	
	if  ($monabo > 0 ){
	
			$sel_insertar3="INSERT INTO pagos_clientes_notas_lineas_debito       (codnota,numlinea,monabo,totfac,salfac,borrado,cdgcli,numfac ) VALUES 
		('$codnota','','$monabo','$salact','$saldo_factura','0','$cdgcli','$numfac')";
		$mysqli->query($sel_insertar3);
	
	}
	
	
			
	$sel_act="UPDATE web_2101 SET salact='$saldo_factura' WHERE cdgcli='$cdgcli' AND numfac='$numfac'";
	$mysqli->query($sel_act);
	 
		$contador++;
	}
	}		
	
	
	

	
	if ($aplnot==3){
		

		$query_tmp3 = "SELECT * FROM web_2101 WHERE  numfac = '$numfacafe' and cdgcli = '$cdgcli' ";
        if ($resultado3 = $mysqli->query($query_tmp3)) 
        while ($fila3 = $resultado3->fetch_assoc()) {
		
        $numfac    = $fila3["NUMFAC"];
        $salact    = $fila3["SALACT"];	
		
		$saldo_factura=$salact+$preciototal;
		$monabo=$preciototal;	
	

		
		if  ($monabo > 0 ){
	
			$sel_insertar3="INSERT INTO pagos_clientes_notas_lineas_debito       (codnota,numlinea,monabo,totfac,salfac,borrado,cdgcli,numfac ) VALUES 
		('$codnota','','$monabo','$salact','$saldo_factura','0','$cdgcli','$numfac')";
		$mysqli->query($sel_insertar3);
	
	}
			
	$sel_act="UPDATE web_2101 SET salact='$saldo_factura' WHERE  numfac = '$numfac'";
	$mysqli->query($sel_act);
	 
		$contador++;
	}
	}		
	
	


	
		if ($aplnot!=1){

			////////////////////////////////////////////    modifica el saldo en la   0301 /////////////////////////////////////////////////
	

	    $salact = $saldo_actual-$total_nc;
		
		$nuevo_saldo="UPDATE web_0301 SET  salact='$salact' WHERE cdgcli='$cdgcli'";
	    $mysqli->query($nuevo_saldo);

         
	///////////////////////////////////////////////   inserta la nota en pagos clientes ////////////////////////////////////////

	
	$hoy=date("d-m-Y");
	$tipmov = "NC";
	 $query_operacion="INSERT INTO pagos_clientes_notas_debito ( numnot, fecnot, montot, cdgcli, dsccli, estnot, nuevosaldo, cdgcaj, tipmov, cdgusu) 
					VALUES ('$codnota',  '$hoy', '$total_nc', '$cdgcli', '$dsccli', '0', '$salact', '$cdgcaj', '$tipmov' ,'$cdgven')";				
	$mysqli->query($query_operacion);

		 
	   }
	
	
	
$clanumref=$_POST["clanumref"];
    $tipo    = substr($clanumref, 30,-19);
	if ($tipo==1 || $tipo==4 ) {
	
		$referencia=" UPDATE facturas SET  estrechazo=1  WHERE cdgclave='$clanumref'";
	    $mysqli->query($referencia);

   } elseif ($tipo==2 ) {
   		
		$referencia=" UPDATE facturas_notas_debito SET  estrechazo=1  WHERE cdgclave='$clanumref'";
	    $mysqli->query($referencia);
   
   
   } elseif ($tipo==3 ) { 
   
   		$referencia=" UPDATE facturas_notas_debito SET  estrechazo=1  WHERE cdgclave='$clanumref'";
	    $mysqli->query($referencia);
   
   
   }
?>
	<script language="javascript">
		var cursor;
		if (document.all) {
		// Está utilizando EXPLORER
		cursor='hand';
		} else {
		// Está utilizando MOZILLA/NETSCAPE
		cursor='pointer';
		}
		
		function aceptar() {
			location.href="index.php";
		}
		
		function imprimir(codnota,cdgcli) {
		
			if (cdgcli != 9999){
	  	miPopup = window.open("../fpdf/imprimir_nota_Original_debito.php?codnota="+codnota, "frame_datos1","width=100,height=10,scrollbars=yes"); 
	
	}
	
	//    miPopup = window.open("../FE/notaCredito/nt.php?f="+codnota, "frame_datos2","width=100,height=10,scrollbars=yes");	
		//	window.open("../fpdf/imprimir_factura.php?codnota="+codnota);
	//	window.open("../fpdf/imprimir_nota_TERMICA.php?codnota="+codnota);
		window.open("../fpdf/imprimir_nota_PUNTO_VENTA_debito.php?codnota="+codnota);
		
		
	  //  window.open("../FE/notaDebito/nt.php?f="+codnota);



	location.href="index.php";
		}
		
		</script>
<?php 
		

	
echo "<script>";
echo "imprimir($codnota,$cdgcli);";
echo "</script>";	




?>
	  <iframe id="frame_datos1" name="frame_datos1" width="0" height="0" frameborder="0">
	  <ilayer width="0" height="0" id="frame_datos1" name="frame_datos1"></ilayer>
	  </iframe>
	 
	  <iframe id="frame_datos2" name="frame_datos2" width="0" height="0" frameborder="0">
	  <ilayer width="0" height="0" id="frame_datos2" name="frame_datos2"></ilayer>
	  </iframe>

<?php 
	

 